# digital_ocean_snapshot_info – Gather information about DigitalOcean Snapshot

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about snapshot information based upon provided values such as droplet, volume and snapshot id.

- This module was called `digital_ocean_snapshot_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_snapshot_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
snapshot_id - |  | To retrieve information about a snapshot, please specify this as a snapshot id. If set to actual snapshot id, then information are gathered related to that particular snapshot only. This is required parameter, if `snapshot_type` is set to `by_id`.

snapshot_type
-

Choices:
- all ←
- droplet
- volume
- by_id

Specifies the type of snapshot information to be retrived.
If set to `droplet`, then information are gathered related to snapshots based on Droplets only.
If set to `volume`, then information are gathered related to snapshots based on volumes only.
If set to `by_id`, then information are gathered related to snapshots based on snapshot id only.
If not set to any of the above, then information are gathered related to all snapshots.

timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all snapshots
      digital_ocean_snapshot_info:
        snapshot_type: all
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about droplet snapshots
      digital_ocean_snapshot_info:
        snapshot_type: droplet
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about volume snapshots
      digital_ocean_snapshot_info:
        snapshot_type: volume
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about snapshot by snapshot id
      digital_ocean_snapshot_info:
        snapshot_type: by_id
        snapshot_id: 123123123
        oauth_token: "{{ oauth_token }}"

    - name: Get information about snapshot named big-data-snapshot1
      digital_ocean_snapshot_info:
      register: resp_out
    - set_fact:
        snapshot_id: "{{ item.id }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?name=='big-data-snapshot1']"
    - debug: var=snapshot_id

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data list | success | DigitalOcean snapshot information Sample: [{'id': '4f60fc64-85d1-11e6-a004-000f53315871', 'name': 'big-data-snapshot1', 'regions': ['nyc1'], 'created_at': '2016-09-28T23:14:30Z', 'resource_id': '89bcc42f-85cf-11e6-a004-000f53315871', 'resource_type': 'volume', 'min_disk_size': 10, 'size_gigabytes': 0}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.